部件更換
POST
https://[[baseurl]]/api/dst/change/part
請求標頭 (Headers)
| 參數名稱 | 類型 | 必填 | 說明 |
|---|---|---|---|
| X-Tenant | string | 是 | 租戶識別碼 |
| Authorization | string | 是 | Bearer [[access_token]] |
請求主體 (Request Body)
Content-Type: application/json
| 欄位名稱 | 資料型別 | 必填 | 說明 |
|---|---|---|---|
| frame_number_id | string | 是 | 欲進行更換的車架號碼。 |
| old_device_id | string | 是 | 原 DSN 序號。 |
| new_device_id | string | 是 | 新 DSN 序號。 |
| from_frame_number | string | 否 | 來源車架號:若新 DSN 是從他車拆下,請填入該車架號;若來自庫存則免填。 |
| device_type | string | 是 | 裝置類型,必須為列出的指定字串(如 second_battery_only)。 |
說明
裝置類型列表:
- hmi_only
- display_only
- controller_only
- battery_only
- second_battery_only
- motor
- cadence_sensor
- torque_sensor
- charger
- front_light
- rear_light
- throttle
- brake
- lock
- front_derailleur
- rear_derailleur
- iot
- hmi_display
- battery_hmi
- battery_controller
- battery_controller_hmi
回應 (Responses)
{
"message": "OK",
"data": null
}